import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionController } from './institucion.controller';
import { InstitucionService } from './institucion.service';
import { Institucion } from './entity/institucion.entity';

@Module({
  imports: [
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([Institucion]),
  ],
  controllers: [InstitucionController],
  providers: [InstitucionService],
  exports: [InstitucionService],
})
export class InstitucionModule {}
